lammps (20250204+dfsg.1-2) unstable; urgency=medium

  * [a7ad696] Move ipython dep to common section

 -- Anton Gladky <gladk@debian.org>  Mon, 03 Mar 2025 06:03:37 +0100

lammps (20250204+dfsg.1-1) unstable; urgency=medium

  * [c755800] Add missing dependencies.
  * [3abd2fc] Exclude doc/html.
  * [4b6f0f6] Repack upstream version 20250204+dfsg.1.

 -- Anton Gladky <gladk@debian.org>  Sun, 02 Mar 2025 22:50:16 +0100

lammps (20250204+dfsg-1) unstable; urgency=medium

  * [e5a6962] New upstream version 20250204+dfsg.
  * [0202894] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Sat, 01 Mar 2025 21:17:38 +0100

lammps (20240207+dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: Add the OpenMPI 5 variable to enable oversubscription.

 -- Santiago Vila <sanvila@debian.org>  Thu, 26 Dec 2024 20:20:00 +0100

lammps (20240207+dfsg-2) unstable; urgency=medium

  * [e5b45dd] Fix autopkgtests
  * [019570b] d/control: set Standards-Version to 4.7.0

 -- Anton Gladky <gladk@debian.org>  Fri, 13 Dec 2024 07:13:14 +0100

lammps (20240207+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-depend on python3-setuptools. Closes: #1080623
  * Rebuild for pnetcdf6 , openmpi5 transitions. Closes: #1086007
  * Set oversubscribe as an OpenMPI env variable in d/rules rather
    than parameter to mpirun so mpich works. Closes: #1076465

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Dec 2024 07:04:46 +0000

lammps (20240207+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062514

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 16:51:42 +0000

lammps (20240207+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream feature release.
  * remove lib/{latte,mscg,smd} from debian/copyright exclusion list
    (no longer included in upstream source)
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Feb 2024 16:27:44 +0100

lammps (20231121+dfsg-4) unstable; urgency=medium

  * Team upload.
  * python3-lammps Depends: liblammps-dev not liblammps0
    since loads liblammps.so using CDLL (ctypes dlopen)

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Dec 2023 10:32:04 +0100

lammps (20231121+dfsg-3) unstable; urgency=medium

  * Team upload.
  * libpnetcdf-dev is supported only on 64-bit systems
    [amd64 arm64 mips64el ppc64el riscv64 s390x ia64 ppc64 sparc64]
    For loong64 support see Bug#1058578.

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Dec 2023 13:44:33 +0100

lammps (20231121+dfsg-2) unstable; urgency=medium

  * Team upload.
  * move python3-sphinx to general Build-Depends to allow
    dh --with sphinxdoc to work in arch builds.

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Dec 2023 12:29:18 +0100

lammps (20231121+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream Feature Release 21 Nov 2023.
    - html docs provides in upstream tarball, no need to rebuild
  * create debian/watch monitoring the list of releases in
    machine-readable format at
    https://download.lammps.org/tars/releases/
    (linked as "older versions" from
    https://www.lammps.org/download.html)
  * drop debian patch 10_enable_spglib.patch: spglib support is now
    managed by cmake
  * update debian patch 20_set_potentials_path.patch to keep reading
    env variable LAMMPS_POTENTIALS as used in upstream code for custom
    potential data sets. Use the default debian location
    /usr/share/lammps/potentials if LAMMPS_POTENTIALS is not defined.
  * use pybuild to build python module after library. Closes: #1054792.
    - Build-Depends: pybuild-plugin-pyproject
    - test using example demo.py (build time and debian/tests runtime)
    - drop debian/python3-lammps.install
  * install benchmarks in lammps-examples (/usr/share/lammps/bench)
    - update debian patch do-not-install-potentials.patch to keep cmake
      from installing bench files in order to enable arch-indep builds
      (dh_install installs them from the source dir)
  * update debian/copyright
    - src/USER* dirs renamed
    - lib/message/cslib no longer used
  * remove generated python files. Closes: #1048351.
  * update docs in lammps-doc
    - rebuild HTML docs using sphinx. Closes: #988849.
    - dh --with sphinxdoc and Build-Depends: libjs-sphinxdoc
      - neverthless skip dh_sphinxdoc since sphinx and dh_sphinx are
        broken for lammps docs. See Bug#1059621
    - Build-Depends-Indep: python3-venc not virtualvenv,
      python3-sphinxcontrib.jquery
    - move existing upstream html to html.org. Closes: #1049827.
    - update debian patch 30_build_docs.patch
      - skip sphinxfortran (not available for debian)
      - use local mathjax. Build-Depends: libjs-mathjax
        (config=TeX-AMS-MML_HTMLorMML not MML_CHTML)
    - provide Manual.pdf in lammps-doc
    - register html and PDF docs with doc-base
    - override lintian warning source-is-missing [doc/html/*.html]
      Source is in doc/src.
    - override dh_compress to not compress pdf files
  * update build config options: use PKG_* instead of PKG_USER_*
    Activate DIELECTRIC. Closes: #1050795.
  * Build-Depends: libpnetcdf-dev (as well as libnetcdf-dev)
    Lammps supports parallel NETCDF, though not parallel HDF5 (H5MD)

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Dec 2023 10:45:36 +0100

lammps (20220106.git7586adbb6a+ds1-2) unstable; urgency=medium

  * [a623229] Switch off GPU

 -- Anton Gladky <gladk@debian.org>  Thu, 17 Mar 2022 19:23:11 +0100

lammps (20220106.git7586adbb6a+ds1-1) unstable; urgency=medium

  * [b442ad0] New upstream version 20220106.git7586adbb6a+ds1
  * [97b22c7] Update patches
  * [b1930ce] Minor fixes
  * [4a8cbcc] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Fri, 11 Mar 2022 17:00:02 +0100

lammps (20210122~gita77bb+ds1-4) unstable; urgency=medium

  * [97c5ecd] Fix compilation

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Nov 2021 22:10:36 +0100

lammps (20210122~gita77bb+ds1-3) unstable; urgency=medium

  * [de1b3b8] Add tex-gyre to B-D. (Closes: #997418)
  * [3ba7eec] Bump debhelper from old 12 to 13.
  * [067811c] Update renamed lintian tag names in lintian overrides.
  * [40a4e10] Update standards version to 4.6.0, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Mon, 08 Nov 2021 22:59:09 +0100

lammps (20210122~gita77bb+ds1-2) unstable; urgency=medium

  * [0d859c3] Compile against vtk9
  * [c332a91] Ignore quilt dir
  * [71bc0f1] Ignore debian/files

 -- Anton Gladky <gladk@debian.org>  Tue, 26 Jan 2021 19:41:12 +0100

lammps (20210122~gita77bb+ds1-1) unstable; urgency=medium

  * [0fdcea2] Add gitlab-ci.yml
  * [27f8ce0] Update get_orig script
  * [237ce88] Update gitlab-ci.yml
  * [673a7c7] New upstream version 0~20210122.gita77bb3073
  * [a64d2c8] Refresh patches
  * [97c9689] Update d-files
  * [72d1d2f] Add sphinxdoc

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Jan 2021 20:57:55 +0100

lammps (20200303+dfsg1-3) unstable; urgency=medium

  * [4476c93] Drop downloading mathjax from internet. (Closes: #960745)

 -- Anton Gladky <gladk@debian.org>  Sat, 16 May 2020 20:59:56 +0200

lammps (20200303+dfsg1-2) unstable; urgency=medium

  * [e847bc5] Add git to build-depends
  * [d98d86a] Set Standards-Version to 4.5.0
  * [f86ac75] Minor update of d/copyright
  * [d5b40da] Remove use of githubredir

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Apr 2020 18:54:55 +0200

lammps (20200303+dfsg1-1) unstable; urgency=medium

  * [527333e] Update copyright file
  * [1fe839a] Update download-scrupt
  * [a0650a6] Refresh patches
  * [68b28bc] Update d/copyright
  * [712c691] Do not use sphinxdoc
  * [bffc1f8] Add lintian-overrides, which seem to be false positive
  * [e698d38] New upstream version 20200303+dfsg1

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Apr 2020 13:57:08 +0200

lammps (20191120+dfsg1-2) unstable; urgency=medium

  * [986614f] Remove PKG_MEAM and PKG_REAX options
  * [b6ac058] Minor fixes in d/copyright and d/patches
  * [67a37ea] Use secure URI in Homepage field.
  * [46d7c3a] Enable PKG_KIM

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Jan 2020 21:50:25 +0100

lammps (20191120+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream patch release 20 November 2019.
  * rename debian patches build_docs_direct.patch as build_docs.patch:
    use system sphinx to build docs. Build-Depends: virtualenv.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Jan 2020 11:25:33 +1100

lammps (20190919+dfsg2-2) unstable; urgency=medium

  * Team upload.
  * mark liblammps0 as Multi-Arch: same

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Dec 2019 10:35:45 +1100

lammps (20190919+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * New upstream patch release 19 Sep 2019. Closes: #925729.
  * move Files-Excluded to Source stanza of debian/copyright.
    Enables mk-origtargz to removed unwanted files in upstream tarball
    - drop examples/log.* (no longer present in upstream tarball)
    - do not exclude doc/utils/sphinx-config from orig tarball.
      Needed to build docs with `make html`.
      sphinx-config/_themes/lammps_theme uses MIT licence.
  * Standards-Version: 4.4.1
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * Build-Depends: python3-all-dev. Closes: #936814.
  * Build-Depends: libvtk7-dev, libhdf5-mpi-dev
  * Build-Depends: libvtk7-qt-dev. Causes USER-VTK to build against
    Qt5 (via vtkGUISupportQt).
  * Debian patch build_docs_direct.patch eliminates virtualenv,
    enabling `make html` to build docs directly. Uses python3 only.
  * provide shared library in liblammps-dev, liblammps0
  * provide python module in python3-lammps (with examples)
    - Debian patch python_lib_soname.patch points the LAMMPS library
      used in lammps.py at soversion .so.0 instead of .so.
      Allows the python module to depend only on liblammps0, otherwise
      liblammps-dev would also have to be installed.
  * provide sample scripts and benchmarks in lammps-examples
    - install in /usr/share/lammps to link to potentials.
      Closes: #924189.
  * emacs mode installed by lammps-data
  * mark -doc, -data, -examples as Multi-Arch: foreign
  * disable dh_dwz on liblammps.so.0 (elf_update failed)
  * Debian patch fix_man.patch fixes section and space delimiter in
    lammps.1.

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Oct 2019 21:51:12 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog liblammps0t64`.
